Pave Bank
FX

Update FX Transaction

Use this API to confirm and execute a transaction intent that was created for an FX Transaction (the POST Create FX Transaction endpoint).

This API will respond with a transaction_id. Use this transaction_id to query the FX Transaction via the GET Transaction API.

Example response from GET Transaction API

This is an example of a completed FX Transaction. If you query the FX Transaction immediately after invoking the PUT API, you may receive a response reflecting an intermediate state (e.g., in_progress) before the transaction reaches its final status.

{
  "transaction_id": "transaction_8y6ytmp2v2zjz9f6jsdx1y65qg",
  "status": "completed",
  "timestamp": "2025-11-28T09:23:46.625154Z",
  "type": "FX-TRADE",
  "customer_type": "Exchange (Currency)",
  "fx_trade": {
    "initiated_at": "2025-11-28T09:23:26.276345Z",
    "processed_at": "2025-11-28T09:23:46.625154Z",
    "executed_at": "2025-11-28T09:23:46.625154Z",
    "initiated_by": {
      "id": "user_<YOUR_USER_ID>",
      "first_name": "",
      "last_name": ""
    },
    "checked_at": null,
    "checked_by": null,
    "sell_amount": "48785", 
    "sell_asset": "GBP", // The base asset 
    "buy_amount": "100000", // The requested amount  
    "buy_asset": "JPY", // The requested asset 
    "fee_asset": "",
    "fee_amount": null,
    "conversion_rate": "204.9806247720",
    "sell_account_name": "Current Account GBP",
    "sell_account_iban": "<SELL_ACCOUNT_IBAN>",
    "sell_account_id": "account_<Example_GBP_Account>",
    "buy_account_name": "Current Account JPY",
    "buy_account_iban": "<BUY_ACCOUNT_IBAN>",
    "buy_account_id": "account_<Example_JPY_Account>",
    "to_legal_entity_id": "legalentity_<LEGAL_ENTITY_ID>",
    "to_legal_entity_name": "",
    "from_legal_entity_id": "legalentity_<LEGAL_ENTITY_ID>",
    "from_legal_entity_name": "",
    "description": "FX Example Transaction Intent"
  }
}
PUT
/v1/fx/transaction

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
transaction_idRequiredstring

Header Parameters

idempotency-keyRequiredstring

Response Body

Success response

transaction_idRequiredstring
curl -X PUT "https://developer-api-staging.pavebank.dev/v1/fx/transaction" \
  -H "idempotency-key: string" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "transaction_id": "string"
  }'
{
  "transaction_id": "string"
}